Core - Bug # 49354

Status: Resolved Priority: Must have

Author: Frans Saris Category: Backend User Interface
Created: 2013-06-23 Assigned To:

Updated: 2013-07-24 Due date:

TYPO3 Version: 6.1

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: Call to undefined method TYPO3\CMS\Backend\Form\ElementConditionMatcher::setRecord()

Description

In the change "[TASK] Extract displayCond functionality from FormEngine to new class" the
TYPO3\CMS\Backend\Form'FormEngine->isDisplayCondition() broke.

Resulting in:

Fatal error: Call to undefined method TYPO3\CMS\Backend\Form\ElementConditionMatcher::setRecord() in
typo3_src-6.1.0/typo3/sysext/backend/Classes/Form/FormEngine.php on line 5954

When adding a condition to the sheet section of a flexform like in forge.typo3.org/issues/33390#note-8

Why is this function deprecated when it's still used for rendering flexforms?

Related issues:
related to Core - Task # 46461: Extract displayCond functionality from FormEn... Resolved 2013-03-20

Associated revisions

Revision 3349dc97 - 2013-06-23 16:19 - Frans Saris

[BUGFIX] Call to undefined method ElementConditionMatcher::setRecord()

Wrong usage of the new ElementConditionMatcher which results in a
fatal error.

Releases: 6.1, 6,2

Resolves: #49354

Change-Id: Ic460bb5c9ce81daa2f828866615bf2703ee56fd5
Reviewed-on: https://review.typo3.org/21605

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision ¢323a71f - 2013-06-23 16:24 - Frans Saris
https://review.typo3.org/21605

[BUGFIX] Call to undefined method ElementConditionMatcher::setRecord()

Wrong usage of the new ElementConditionMatcher which results in a

fatal error.

Releases: 6.1, 6,2

Resolves: #49354

Change-Id: Ic460bb5c9ce81daa2f828866615bf2703ee56fd5
Reviewed-on: https://review.typo3.org/21615

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-06-23 13:20 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21605

#2 - 2013-06-23 15:12 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21605

#3 - 2013-06-23 16:18 - Christian Kuhn

+1 ... BTW: the method is not used in the core, this is probably some extension that caused this for you, the fatal however needs to be fixed.

#4 - 2013-06-23 16:22 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.

It is available at https://review.typo3.org/21615

#5 - 2013-06-23 16:30 - Frans Saris
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c323a71f60cc517¢c71b0996931af9bad71bd149f.

#6 - 2013-06-23 17:19 - Frans Saris

Christian Kuhn wrote:

+1 ... BTW: the method is not used in the core, this is probably some extension that caused this for you
Oke, sorry for my wrong/to quick assumption.

the fatal however needs to be fixed.

Tnx all for taking care.

Gr. Frans
